diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/update-core.php ./wordpress-3.4/wp-admin/includes/update-core.php
*** ./wordpress-3.3.2/wp-admin/includes/update-core.php	2012-04-20 07:44:18.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/update-core.php	2012-05-25 13:12:29.000000000 -0500
***************
*** 18,30 ****
  global $_old_files;
  
  $_old_files = array(
! 'wp-admin/bookmarklet.php',
  'wp-admin/css/upload.css',
- 'wp-admin/css/upload-rtl.css',
- 'wp-admin/css/press-this-ie.css',
- 'wp-admin/css/press-this-ie-rtl.css',
- 'wp-admin/edit-form.php',
- 'wp-admin/link-import.php',
  'wp-admin/images/box-bg-left.gif',
  'wp-admin/images/box-bg-right.gif',
  'wp-admin/images/box-bg.gif',
--- 18,91 ----
  global $_old_files;
  
  $_old_files = array(
! // 2.0
! 'wp-admin/import-b2.php',
! 'wp-admin/import-blogger.php',
! 'wp-admin/import-greymatter.php',
! 'wp-admin/import-livejournal.php',
! 'wp-admin/import-mt.php',
! 'wp-admin/import-rss.php',
! 'wp-admin/import-textpattern.php',
! 'wp-admin/quicktags.js',
! 'wp-images/fade-butt.png',
! 'wp-images/get-firefox.png',
! 'wp-images/header-shadow.png',
! 'wp-images/smilies',
! 'wp-images/wp-small.png',
! 'wp-images/wpminilogo.png',
! 'wp.php',
! // 2.0.8
! 'wp-includes/js/tinymce/plugins/inlinepopups/readme.txt',
! // 2.1
! 'wp-admin/edit-form-ajax-cat.php',
! 'wp-admin/execute-pings.php',
! 'wp-admin/inline-uploading.php',
! 'wp-admin/link-categories.php',
! 'wp-admin/list-manipulation.js',
! 'wp-admin/list-manipulation.php',
! 'wp-includes/comment-functions.php',
! 'wp-includes/feed-functions.php',
! 'wp-includes/functions-compat.php',
! 'wp-includes/functions-formatting.php',
! 'wp-includes/functions-post.php',
! 'wp-includes/js/dbx-key.js',
! 'wp-includes/js/tinymce/plugins/autosave/langs/cs.js',
! 'wp-includes/js/tinymce/plugins/autosave/langs/sv.js',
! 'wp-includes/links.php',
! 'wp-includes/pluggable-functions.php',
! 'wp-includes/template-functions-author.php',
! 'wp-includes/template-functions-category.php',
! 'wp-includes/template-functions-general.php',
! 'wp-includes/template-functions-links.php',
! 'wp-includes/template-functions-post.php',
! 'wp-includes/wp-l10n.php',
! // 2.2
! 'wp-admin/cat-js.php',
! 'wp-admin/import/b2.php',
! 'wp-includes/js/autosave-js.php',
! 'wp-includes/js/list-manipulation-js.php',
! 'wp-includes/js/wp-ajax-js.php',
! // 2.3
! 'wp-admin/admin-db.php',
! 'wp-admin/cat.js',
! 'wp-admin/categories.js',
! 'wp-admin/custom-fields.js',
! 'wp-admin/dbx-admin-key.js',
! 'wp-admin/edit-comments.js',
! 'wp-admin/install-rtl.css',
! 'wp-admin/install.css',
! 'wp-admin/upgrade-schema.php',
! 'wp-admin/upload-functions.php',
! 'wp-admin/upload-rtl.css',
! 'wp-admin/upload.css',
! 'wp-admin/upload.js',
! 'wp-admin/users.js',
! 'wp-admin/widgets-rtl.css',
! 'wp-admin/widgets.css',
! 'wp-admin/xfn.js',
! 'wp-includes/js/tinymce/license.html',
! // 2.5
  'wp-admin/css/upload.css',
  'wp-admin/images/box-bg-left.gif',
  'wp-admin/images/box-bg-right.gif',
  'wp-admin/images/box-bg.gif',
***************
*** 39,85 ****
  'wp-admin/images/login-bkg-tile.gif',
  'wp-admin/images/notice.gif',
  'wp-admin/images/toggle.gif',
- 'wp-admin/images/comment-stalk-classic.gif',
- 'wp-admin/images/comment-stalk-fresh.gif',
- 'wp-admin/images/comment-stalk-rtl.gif',
- 'wp-admin/images/comment-pill.gif',
- 'wp-admin/images/del.png',
- 'wp-admin/images/media-button-gallery.gif',
- 'wp-admin/images/media-buttons.gif',
- 'wp-admin/images/tail.gif',
- 'wp-admin/images/gear.png',
- 'wp-admin/images/tab.png',
- 'wp-admin/images/postbox-bg.gif',
  'wp-admin/includes/upload.php',
  'wp-admin/js/dbx-admin-key.js',
  'wp-admin/js/link-cat.js',
- 'wp-admin/js/forms.js',
- 'wp-admin/js/upload.js',
- 'wp-admin/js/set-post-thumbnail-handler.js',
- 'wp-admin/js/set-post-thumbnail-handler.dev.js',
- 'wp-admin/js/page.js',
- 'wp-admin/js/page.dev.js',
- 'wp-admin/js/slug.js',
- 'wp-admin/js/slug.dev.js',
  'wp-admin/profile-update.php',
  'wp-admin/templates.php',
! 'wp-includes/images/audio.png',
! 'wp-includes/images/css.png',
! 'wp-includes/images/default.png',
! 'wp-includes/images/doc.png',
! 'wp-includes/images/exe.png',
! 'wp-includes/images/html.png',
! 'wp-includes/images/js.png',
! 'wp-includes/images/pdf.png',
! 'wp-includes/images/swf.png',
! 'wp-includes/images/tar.png',
! 'wp-includes/images/text.png',
! 'wp-includes/images/video.png',
! 'wp-includes/images/zip.png',
  'wp-includes/js/dbx.js',
  'wp-includes/js/fat.js',
  'wp-includes/js/list-manipulation.js',
- 'wp-includes/js/jquery/jquery.dimensions.min.js',
  'wp-includes/js/tinymce/langs/en.js',
  'wp-includes/js/tinymce/plugins/autosave/editor_plugin_src.js',
  'wp-includes/js/tinymce/plugins/autosave/langs',
--- 100,116 ----
  'wp-admin/images/login-bkg-tile.gif',
  'wp-admin/images/notice.gif',
  'wp-admin/images/toggle.gif',
  'wp-admin/includes/upload.php',
  'wp-admin/js/dbx-admin-key.js',
  'wp-admin/js/link-cat.js',
  'wp-admin/profile-update.php',
  'wp-admin/templates.php',
! 'wp-includes/images/wlw/WpComments.png',
! 'wp-includes/images/wlw/WpIcon.png',
! 'wp-includes/images/wlw/WpWatermark.png',
  'wp-includes/js/dbx.js',
  'wp-includes/js/fat.js',
  'wp-includes/js/list-manipulation.js',
  'wp-includes/js/tinymce/langs/en.js',
  'wp-includes/js/tinymce/plugins/autosave/editor_plugin_src.js',
  'wp-includes/js/tinymce/plugins/autosave/langs',
***************
*** 101,178 ****
  'wp-includes/js/tinymce/plugins/spellchecker/tinyspell.php',
  'wp-includes/js/tinymce/plugins/wordpress/images',
  'wp-includes/js/tinymce/plugins/wordpress/langs',
- 'wp-includes/js/tinymce/plugins/wordpress/popups.css',
  'wp-includes/js/tinymce/plugins/wordpress/wordpress.css',
  'wp-includes/js/tinymce/plugins/wphelp',
  'wp-includes/js/tinymce/themes/advanced/css',
  'wp-includes/js/tinymce/themes/advanced/images',
  'wp-includes/js/tinymce/themes/advanced/jscripts',
  'wp-includes/js/tinymce/themes/advanced/langs',
  'wp-includes/js/tinymce/tiny_mce_gzip.php',
  'wp-includes/js/wp-ajax.js',
! 'wp-admin/admin-db.php',
! 'wp-admin/cat.js',
! 'wp-admin/categories.js',
! 'wp-admin/custom-fields.js',
! 'wp-admin/dbx-admin-key.js',
! 'wp-admin/edit-comments.js',
! 'wp-admin/install-rtl.css',
! 'wp-admin/install.css',
! 'wp-admin/upgrade-schema.php',
! 'wp-admin/upload-functions.php',
! 'wp-admin/upload-rtl.css',
! 'wp-admin/upload.css',
! 'wp-admin/upload.js',
! 'wp-admin/users.js',
! 'wp-admin/widgets-rtl.css',
! 'wp-admin/widgets.css',
! 'wp-admin/xfn.js',
! 'wp-includes/js/tinymce/license.html',
! 'wp-admin/cat-js.php',
! 'wp-admin/edit-form-ajax-cat.php',
! 'wp-admin/execute-pings.php',
! 'wp-admin/import/b2.php',
  'wp-admin/import/btt.php',
  'wp-admin/import/jkw.php',
! 'wp-admin/inline-uploading.php',
! 'wp-admin/link-categories.php',
! 'wp-admin/list-manipulation.js',
! 'wp-admin/list-manipulation.php',
! 'wp-includes/comment-functions.php',
! 'wp-includes/feed-functions.php',
! 'wp-includes/functions-compat.php',
! 'wp-includes/functions-formatting.php',
! 'wp-includes/functions-post.php',
! 'wp-includes/js/dbx-key.js',
! 'wp-includes/js/tinymce/plugins/autosave/langs/cs.js',
! 'wp-includes/js/tinymce/plugins/autosave/langs/sv.js',
! 'wp-includes/js/tinymce/themes/advanced/editor_template_src.js',
! 'wp-includes/links.php',
! 'wp-includes/pluggable-functions.php',
! 'wp-includes/template-functions-author.php',
! 'wp-includes/template-functions-category.php',
! 'wp-includes/template-functions-general.php',
! 'wp-includes/template-functions-links.php',
! 'wp-includes/template-functions-post.php',
! 'wp-includes/wp-l10n.php',
! 'wp-admin/import-b2.php',
! 'wp-admin/import-blogger.php',
! 'wp-admin/import-greymatter.php',
! 'wp-admin/import-livejournal.php',
! 'wp-admin/import-mt.php',
! 'wp-admin/import-rss.php',
! 'wp-admin/import-textpattern.php',
! 'wp-admin/quicktags.js',
! 'wp-images/fade-butt.png',
! 'wp-images/get-firefox.png',
! 'wp-images/header-shadow.png',
! 'wp-images/smilies',
! 'wp-images/wp-small.png',
! 'wp-images/wpminilogo.png',
! 'wp.php',
  'wp-includes/gettext.php',
  'wp-includes/streams.php',
  // MU
  'wp-admin/wpmu-admin.php',
  'wp-admin/wpmu-blogs.php',
  'wp-admin/wpmu-edit.php',
--- 132,214 ----
  'wp-includes/js/tinymce/plugins/spellchecker/tinyspell.php',
  'wp-includes/js/tinymce/plugins/wordpress/images',
  'wp-includes/js/tinymce/plugins/wordpress/langs',
  'wp-includes/js/tinymce/plugins/wordpress/wordpress.css',
  'wp-includes/js/tinymce/plugins/wphelp',
  'wp-includes/js/tinymce/themes/advanced/css',
  'wp-includes/js/tinymce/themes/advanced/images',
  'wp-includes/js/tinymce/themes/advanced/jscripts',
  'wp-includes/js/tinymce/themes/advanced/langs',
+ // 2.5.1
  'wp-includes/js/tinymce/tiny_mce_gzip.php',
+ // 2.6
+ 'wp-admin/bookmarklet.php',
+ 'wp-includes/js/jquery/jquery.dimensions.min.js',
+ 'wp-includes/js/tinymce/plugins/wordpress/popups.css',
  'wp-includes/js/wp-ajax.js',
! // 2.7
! 'wp-admin/css/press-this-ie-rtl.css',
! 'wp-admin/css/press-this-ie.css',
! 'wp-admin/css/upload-rtl.css',
! 'wp-admin/edit-form.php',
! 'wp-admin/images/comment-pill.gif',
! 'wp-admin/images/comment-stalk-classic.gif',
! 'wp-admin/images/comment-stalk-fresh.gif',
! 'wp-admin/images/comment-stalk-rtl.gif',
! 'wp-admin/images/del.png',
! 'wp-admin/images/gear.png',
! 'wp-admin/images/media-button-gallery.gif',
! 'wp-admin/images/media-buttons.gif',
! 'wp-admin/images/postbox-bg.gif',
! 'wp-admin/images/tab.png',
! 'wp-admin/images/tail.gif',
! 'wp-admin/js/forms.js',
! 'wp-admin/js/upload.js',
! 'wp-admin/link-import.php',
! 'wp-includes/images/audio.png',
! 'wp-includes/images/css.png',
! 'wp-includes/images/default.png',
! 'wp-includes/images/doc.png',
! 'wp-includes/images/exe.png',
! 'wp-includes/images/html.png',
! 'wp-includes/images/js.png',
! 'wp-includes/images/pdf.png',
! 'wp-includes/images/swf.png',
! 'wp-includes/images/tar.png',
! 'wp-includes/images/text.png',
! 'wp-includes/images/video.png',
! 'wp-includes/images/zip.png',
! 'wp-includes/js/tinymce/tiny_mce_config.php',
! 'wp-includes/js/tinymce/tiny_mce_ext.js',
! // 2.8
! 'wp-admin/js/users.js',
! 'wp-includes/js/swfupload/plugins/swfupload.documentready.js',
! 'wp-includes/js/swfupload/plugins/swfupload.graceful_degradation.js',
! 'wp-includes/js/swfupload/swfupload_f9.swf',
! 'wp-includes/js/tinymce/plugins/autosave',
! 'wp-includes/js/tinymce/plugins/paste/css',
! 'wp-includes/js/tinymce/utils/mclayer.js',
! 'wp-includes/js/tinymce/wordpress.css',
! // 2.8.5
  'wp-admin/import/btt.php',
  'wp-admin/import/jkw.php',
! // 2.9
! 'wp-admin/js/page.dev.js',
! 'wp-admin/js/page.js',
! 'wp-admin/js/set-post-thumbnail-handler.dev.js',
! 'wp-admin/js/set-post-thumbnail-handler.js',
! 'wp-admin/js/slug.dev.js',
! 'wp-admin/js/slug.js',
  'wp-includes/gettext.php',
+ 'wp-includes/js/tinymce/plugins/wordpress/js',
  'wp-includes/streams.php',
  // MU
+ 'README.txt',
+ 'htaccess.dist',
+ 'index-install.php',
+ 'wp-admin/css/mu-rtl.css',
+ 'wp-admin/css/mu.css',
+ 'wp-admin/images/site-admin.png',
+ 'wp-admin/includes/mu.php',
  'wp-admin/wpmu-admin.php',
  'wp-admin/wpmu-blogs.php',
  'wp-admin/wpmu-edit.php',
***************
*** 180,202 ****
  'wp-admin/wpmu-themes.php',
  'wp-admin/wpmu-upgrade-site.php',
  'wp-admin/wpmu-users.php',
  'wp-includes/wpmu-default-filters.php',
  'wp-includes/wpmu-functions.php',
  'wpmu-settings.php',
- 'index-install.php',
- 'README.txt',
- 'htaccess.dist',
- 'wp-admin/css/mu-rtl.css',
- 'wp-admin/css/mu.css',
- 'wp-admin/images/site-admin.png',
- 'wp-admin/includes/mu.php',
- 'wp-includes/images/wordpress-mu.png',
  // 3.0
  'wp-admin/categories.php',
  'wp-admin/edit-category-form.php',
  'wp-admin/edit-page-form.php',
  'wp-admin/edit-pages.php',
  'wp-admin/images/wp-logo.gif',
  'wp-admin/js/wp-gears.dev.js',
  'wp-admin/js/wp-gears.js',
  'wp-admin/options-misc.php',
--- 216,241 ----
  'wp-admin/wpmu-themes.php',
  'wp-admin/wpmu-upgrade-site.php',
  'wp-admin/wpmu-users.php',
+ 'wp-includes/images/wordpress-mu.png',
  'wp-includes/wpmu-default-filters.php',
  'wp-includes/wpmu-functions.php',
  'wpmu-settings.php',
  // 3.0
  'wp-admin/categories.php',
  'wp-admin/edit-category-form.php',
  'wp-admin/edit-page-form.php',
  'wp-admin/edit-pages.php',
+ 'wp-admin/images/admin-header-footer.png',
+ 'wp-admin/images/browse-happy.gif',
+ 'wp-admin/images/ico-add.png',
+ 'wp-admin/images/ico-close.png',
+ 'wp-admin/images/ico-edit.png',
+ 'wp-admin/images/ico-viewpage.png',
+ 'wp-admin/images/fav-top.png',
+ 'wp-admin/images/screen-options-left.gif',
+ 'wp-admin/images/wp-logo-vs.gif',
  'wp-admin/images/wp-logo.gif',
+ 'wp-admin/import',
  'wp-admin/js/wp-gears.dev.js',
  'wp-admin/js/wp-gears.js',
  'wp-admin/options-misc.php',
***************
*** 208,258 ****
  'wp-admin/wp-admin.css',
  'wp-admin/wp-admin.dev.css',
  'wp-includes/js/codepress',
  'wp-includes/js/jquery/autocomplete.dev.js',
- 'wp-includes/js/jquery/interface.js',
  'wp-includes/js/jquery/autocomplete.js',
  'wp-includes/js/scriptaculous/prototype.js',
  'wp-includes/js/tinymce/wp-tinymce.js',
- 'wp-admin/import',
- 'wp-admin/images/ico-edit.png',
- 'wp-admin/images/fav-top.png',
- 'wp-admin/images/ico-close.png',
- 'wp-admin/images/admin-header-footer.png',
- 'wp-admin/images/screen-options-left.gif',
- 'wp-admin/images/ico-add.png',
- 'wp-admin/images/browse-happy.gif',
- 'wp-admin/images/ico-viewpage.png',
  // 3.1
- 'wp-includes/js/tinymce/blank.htm',
- 'wp-includes/js/tinymce/plugins/safari',
- 'wp-admin/edit-link-categories.php',
- 'wp-admin/edit-post-rows.php',
  'wp-admin/edit-attachment-rows.php',
! 'wp-admin/link-category.php',
  'wp-admin/edit-link-category-form.php',
! 'wp-admin/sidebar.php',
! 'wp-admin/images/list-vs.png',
! 'wp-admin/images/button-grad-vs.png',
  'wp-admin/images/button-grad-active-vs.png',
! 'wp-admin/images/fav-arrow-vs.gif',
  'wp-admin/images/fav-arrow-vs-rtl.gif',
  'wp-admin/images/fav-top-vs.gif',
! 'wp-admin/images/screen-options-right.gif',
  'wp-admin/images/screen-options-right-up.gif',
  'wp-admin/images/visit-site-button-grad-vs.gif',
  'wp-admin/images/visit-site-button-grad.gif',
  'wp-includes/classes.php',
  // 3.2
  'wp-includes/default-embeds.php',
  'wp-includes/js/tinymce/plugins/wordpress/img/more.gif',
  'wp-includes/js/tinymce/plugins/wordpress/img/toolbars.gif',
- 'wp-includes/js/tinymce/plugins/wordpress/img/help.gif',
  'wp-includes/js/tinymce/themes/advanced/img/fm.gif',
  'wp-includes/js/tinymce/themes/advanced/img/sflogo.png',
- 'wp-admin/js/list-table.js',
- 'wp-admin/js/list-table.dev.js',
- 'wp-admin/images/logo-login.gif',
- 'wp-admin/images/star.gif',
  // 3.3
  'wp-admin/css/colors-classic-rtl.css',
  'wp-admin/css/colors-classic-rtl.dev.css',
--- 247,292 ----
  'wp-admin/wp-admin.css',
  'wp-admin/wp-admin.dev.css',
  'wp-includes/js/codepress',
+ 'wp-includes/js/codepress/engines/khtml.js',
+ 'wp-includes/js/codepress/engines/older.js',
  'wp-includes/js/jquery/autocomplete.dev.js',
  'wp-includes/js/jquery/autocomplete.js',
+ 'wp-includes/js/jquery/interface.js',
  'wp-includes/js/scriptaculous/prototype.js',
  'wp-includes/js/tinymce/wp-tinymce.js',
  // 3.1
  'wp-admin/edit-attachment-rows.php',
! 'wp-admin/edit-link-categories.php',
  'wp-admin/edit-link-category-form.php',
! 'wp-admin/edit-post-rows.php',
  'wp-admin/images/button-grad-active-vs.png',
! 'wp-admin/images/button-grad-vs.png',
  'wp-admin/images/fav-arrow-vs-rtl.gif',
+ 'wp-admin/images/fav-arrow-vs.gif',
  'wp-admin/images/fav-top-vs.gif',
! 'wp-admin/images/list-vs.png',
  'wp-admin/images/screen-options-right-up.gif',
+ 'wp-admin/images/screen-options-right.gif',
  'wp-admin/images/visit-site-button-grad-vs.gif',
  'wp-admin/images/visit-site-button-grad.gif',
+ 'wp-admin/link-category.php',
+ 'wp-admin/sidebar.php',
  'wp-includes/classes.php',
+ 'wp-includes/js/tinymce/blank.htm',
+ 'wp-includes/js/tinymce/plugins/media/css/content.css',
+ 'wp-includes/js/tinymce/plugins/media/img',
+ 'wp-includes/js/tinymce/plugins/safari',
  // 3.2
+ 'wp-admin/images/logo-login.gif',
+ 'wp-admin/images/star.gif',
+ 'wp-admin/js/list-table.dev.js',
+ 'wp-admin/js/list-table.js',
  'wp-includes/default-embeds.php',
+ 'wp-includes/js/tinymce/plugins/wordpress/img/help.gif',
  'wp-includes/js/tinymce/plugins/wordpress/img/more.gif',
  'wp-includes/js/tinymce/plugins/wordpress/img/toolbars.gif',
  'wp-includes/js/tinymce/themes/advanced/img/fm.gif',
  'wp-includes/js/tinymce/themes/advanced/img/sflogo.png',
  // 3.3
  'wp-admin/css/colors-classic-rtl.css',
  'wp-admin/css/colors-classic-rtl.dev.css',
***************
*** 324,329 ****
--- 358,400 ----
  'wp-includes/js/tinymce/themes/advanced/skins/wp_theme/img/down_arrow.gif',
  'wp-includes/js/tinymce/themes/advanced/skins/wp_theme/img/fade-butt.png',
  'wp-includes/js/tinymce/themes/advanced/skins/wp_theme/img/separator.gif',
+ // Don't delete, yet: 'wp-rss.php',
+ // Don't delete, yet: 'wp-rdf.php',
+ // Don't delete, yet: 'wp-rss2.php',
+ // Don't delete, yet: 'wp-commentsrss2.php',
+ // Don't delete, yet: 'wp-atom.php',
+ // Don't delete, yet: 'wp-feed.php',
+ // 3.4
+ 'wp-admin/images/gray-star.png',
+ 'wp-admin/images/logo-login.png',
+ 'wp-admin/images/star.png',
+ 'wp-admin/index-extra.php',
+ 'wp-admin/network/index-extra.php',
+ 'wp-admin/user/index-extra.php',
+ 'wp-admin/images/screenshots/admin-flyouts.png',
+ 'wp-admin/images/screenshots/coediting.png',
+ 'wp-admin/images/screenshots/drag-and-drop.png',
+ 'wp-admin/images/screenshots/help-screen.png',
+ 'wp-admin/images/screenshots/media-icon.png',
+ 'wp-admin/images/screenshots/new-feature-pointer.png',
+ 'wp-admin/images/screenshots/welcome-screen.png',
+ 'wp-includes/css/editor-buttons.css',
+ 'wp-includes/css/editor-buttons.dev.css',
+ 'wp-includes/js/tinymce/plugins/paste/blank.htm',
+ 'wp-includes/js/tinymce/plugins/wordpress/css',
+ 'wp-includes/js/tinymce/plugins/wordpress/editor_plugin.dev.js',
+ 'wp-includes/js/tinymce/plugins/wordpress/img/embedded.png',
+ 'wp-includes/js/tinymce/plugins/wordpress/img/more_bug.gif',
+ 'wp-includes/js/tinymce/plugins/wordpress/img/page_bug.gif',
+ 'wp-includes/js/tinymce/plugins/wpdialogs/editor_plugin.dev.js',
+ 'wp-includes/js/tinymce/plugins/wpeditimage/css/editimage-rtl.css',
+ 'wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin.dev.js',
+ 'wp-includes/js/tinymce/plugins/wpfullscreen/editor_plugin.dev.js',
+ 'wp-includes/js/tinymce/plugins/wpgallery/editor_plugin.dev.js',
+ 'wp-includes/js/tinymce/plugins/wpgallery/img/gallery.png',
+ 'wp-includes/js/tinymce/plugins/wplink/editor_plugin.dev.js',
+ // Don't delete, yet: 'wp-pass.php',
+ // Don't delete, yet: 'wp-register.php',
  );
  
  /**
***************
*** 335,341 ****
   * introduced version present here being older than the current installed version.
   *
   * The content of this array should follow the following format:
!  *  Filename (relative to wp-content) => Introduced version
   * Directories should be noted by suffixing it with a trailing slash (/)
   *
   * @since 3.2.0
--- 406,412 ----
   * introduced version present here being older than the current installed version.
   *
   * The content of this array should follow the following format:
!  * Filename (relative to wp-content) => Introduced version
   * Directories should be noted by suffixing it with a trailing slash (/)
   *
   * @since 3.2.0
***************
*** 406,412 ****
  	$mysql_version  = $wpdb->db_version();
  	$required_php_version = '5.2.4';
  	$required_mysql_version = '5.0';
! 	$wp_version = '3.3.2';
  	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
  	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
  		$mysql_compat = true;
--- 477,483 ----
  	$mysql_version  = $wpdb->db_version();
  	$required_php_version = '5.2.4';
  	$required_mysql_version = '5.0';
! 	$wp_version = '3.4';
  	$php_compat     = version_compare( $php_version, $required_php_version, '>=' );
  	if ( file_exists( WP_CONTENT_DIR . '/db.php' ) && empty( $wpdb->is_mysql ) )
  		$mysql_compat = true;
***************
*** 601,607 ****
  /**
   * Redirect to the About WordPress page after a successful upgrade.
   *
!  * This function is only needed when the existing install is older than 3.3.0.
   *
   * @since 3.3.0
   *
--- 672,678 ----
  /**
   * Redirect to the About WordPress page after a successful upgrade.
   *
!  * This function is only needed when the existing install is older than 3.4.0.
   *
   * @since 3.3.0
   *
***************
*** 609,615 ****
  function _redirect_to_about_wordpress( $new_version ) {
  	global $wp_version, $pagenow, $action;
  
! 	if ( version_compare( $wp_version, '3.3', '>=' ) )
  		return;
  
  	// Ensure we only run this on the update-core.php page. wp_update_core() could be called in other contexts.
--- 680,686 ----
  function _redirect_to_about_wordpress( $new_version ) {
  	global $wp_version, $pagenow, $action;
  
! 	if ( version_compare( $wp_version, '3.4-RC1', '>=' ) )
  		return;
  
  	// Ensure we only run this on the update-core.php page. wp_update_core() could be called in other contexts.
***************
*** 624,635 ****
  
  	// See do_core_upgrade()
  	show_message( __('WordPress updated successfully') );
! 	show_message( '<span class="hide-if-no-js">' . sprintf( __( 'Welcome to WordPress %1$s. You will be redirected to the About WordPress screen. If not, click <a href="%s">here</a>.' ), $new_version, esc_url( admin_url( 'about.php?updated' ) ) ) . '</span>' );
! 	show_message( '<span class="hide-if-js">' . sprintf( __( 'Welcome to WordPress %1$s. <a href="%2$s">Learn more</a>.' ), $new_version, esc_url( admin_url( 'about.php?updated' ) ) ) . '</span>' );
  	echo '</div>';
  	?>
  <script type="text/javascript">
! window.location = '<?php echo admin_url( 'about.php?updated' ); ?>';
  </script>
  	<?php
  
--- 695,706 ----
  
  	// See do_core_upgrade()
  	show_message( __('WordPress updated successfully') );
! 	show_message( '<span class="hide-if-no-js">' . sprintf( __( 'Welcome to WordPress %1$s. You will be redirected to the About WordPress screen. If not, click <a href="%s">here</a>.' ), $new_version, esc_url( self_admin_url( 'about.php?updated' ) ) ) . '</span>' );
! 	show_message( '<span class="hide-if-js">' . sprintf( __( 'Welcome to WordPress %1$s. <a href="%2$s">Learn more</a>.' ), $new_version, esc_url( self_admin_url( 'about.php?updated' ) ) ) . '</span>' );
  	echo '</div>';
  	?>
  <script type="text/javascript">
! window.location = '<?php echo self_admin_url( 'about.php?updated' ); ?>';
  </script>
  	<?php
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-admin/includes/update.php ./wordpress-3.4/wp-admin/includes/update.php
*** ./wordpress-3.3.2/wp-admin/includes/update.php	2011-09-30 12:31:52.000000000 -0500
--- ./wordpress-3.4/wp-admin/includes/update.php	2012-05-03 11:41:59.000000000 -0500
***************
*** 142,148 ****
  	if ( current_user_can('update_core') ) {
  		$cur = get_preferred_from_update_core();
  
! 		if ( isset( $cur->response ) && $cur->response == 'upgrade'  )
  			$msg .= " <a href='" . network_admin_url( 'update-core.php' ) . "' class='button'>" . sprintf( __('Update to %s'), $cur->current ? $cur->current : __( 'Latest' ) ) . '</a>';
  	}
  
--- 142,148 ----
  	if ( current_user_can('update_core') ) {
  		$cur = get_preferred_from_update_core();
  
! 		if ( isset( $cur->response ) && $cur->response == 'upgrade' )
  			$msg .= " <a href='" . network_admin_url( 'update-core.php' ) . "' class='button'>" . sprintf( __('Update to %s'), $cur->current ? $cur->current : __( 'Latest' ) ) . '</a>';
  	}
  
***************
*** 187,193 ****
  	$plugins_allowedtags = array('a' => array('href' => array(),'title' => array()),'abbr' => array('title' => array()),'acronym' => array('title' => array()),'code' => array(),'em' => array(),'strong' => array());
  	$plugin_name = wp_kses( $plugin_data['Name'], $plugins_allowedtags );
  
! 	$details_url = self_admin_url('plugin-install.php?tab=plugin-information&plugin=' . $r->slug . '&TB_iframe=true&width=600&height=800');
  
  	$wp_list_table = _get_list_table('WP_Plugins_List_Table');
  
--- 187,193 ----
  	$plugins_allowedtags = array('a' => array('href' => array(),'title' => array()),'abbr' => array('title' => array()),'acronym' => array('title' => array()),'code' => array(),'em' => array(),'strong' => array());
  	$plugin_name = wp_kses( $plugin_data['Name'], $plugins_allowedtags );
  
! 	$details_url = self_admin_url('plugin-install.php?tab=plugin-information&plugin=' . $r->slug . '&section=changelog&TB_iframe=true&width=600&height=800');
  
  	$wp_list_table = _get_list_table('WP_Plugins_List_Table');
  
***************
*** 199,205 ****
  		else if ( empty($r->package) )
  			printf( __('There is a new version of %1$s available. <a href="%2$s" class="thickbox" title="%3$s">View version %4$s details</a>. <em>Automatic update is unavailable for this plugin.</em>'), $plugin_name, esc_url($details_url), esc_attr($plugin_name), $r->new_version );
  		else
! 			printf( __('There is a new version of %1$s available. <a href="%2$s" class="thickbox" title="%3$s">View version %4$s details</a> or <a href="%5$s">update automatically</a>.'), $plugin_name, esc_url($details_url), esc_attr($plugin_name), $r->new_version, wp_nonce_url( self_admin_url('update.php?action=upgrade-plugin&plugin=') . $file, 'upgrade-plugin_' . $file) );
  
  		do_action( "in_plugin_update_message-$file", $plugin_data, $r );
  
--- 199,205 ----
  		else if ( empty($r->package) )
  			printf( __('There is a new version of %1$s available. <a href="%2$s" class="thickbox" title="%3$s">View version %4$s details</a>. <em>Automatic update is unavailable for this plugin.</em>'), $plugin_name, esc_url($details_url), esc_attr($plugin_name), $r->new_version );
  		else
! 			printf( __('There is a new version of %1$s available. <a href="%2$s" class="thickbox" title="%3$s">View version %4$s details</a> or <a href="%5$s">update now</a>.'), $plugin_name, esc_url($details_url), esc_attr($plugin_name), $r->new_version, wp_nonce_url( self_admin_url('update.php?action=upgrade-plugin&plugin=') . $file, 'upgrade-plugin_' . $file) );
  
  		do_action( "in_plugin_update_message-$file", $plugin_data, $r );
  
***************
*** 217,232 ****
  }
  
  function get_theme_updates() {
! 	$themes = get_themes();
  	$current = get_site_transient('update_themes');
- 	$update_themes = array();
  
! 	foreach ( $themes as $theme ) {
! 		$theme = (object) $theme;
! 		if ( isset($current->response[ $theme->Stylesheet ]) ) {
! 			$update_themes[$theme->Stylesheet] = $theme;
! 			$update_themes[$theme->Stylesheet]->update = $current->response[ $theme->Stylesheet ];
! 		}
  	}
  
  	return $update_themes;
--- 217,232 ----
  }
  
  function get_theme_updates() {
! 	$themes = wp_get_themes();
  	$current = get_site_transient('update_themes');
  
! 	if ( ! isset( $current->response ) )
! 		return array();
! 
! 	$update_themes = array();
! 	foreach ( $current->response as $stylesheet => $data ) {
! 		$update_themes[ $stylesheet ] = wp_get_theme( $stylesheet );
! 		$update_themes[ $stylesheet ]->update = $data;
  	}
  
  	return $update_themes;
***************
*** 272,280 ****
  	if ( ! current_user_can('update_themes') )
  		printf( __('There is a new version of %1$s available. <a href="%2$s" class="thickbox" title="%3$s">View version %4$s details</a>.'), $theme['Name'], esc_url($details_url), esc_attr($theme['Name']), $r->new_version );
  	else if ( empty( $r['package'] ) )
! 		printf( __('There is a new version of %1$s available. <a href="%2$s" class="thickbox" title="%3$s">View version %4$s details</a>. <em>Automatic update is unavailable for this plugin.</em>'), $theme['Name'], esc_url($details_url), esc_attr($theme['Name']), $r['new_version'] );
  	else
! 		printf( __('There is a new version of %1$s available. <a href="%2$s" class="thickbox" title="%3$s">View version %4$s details</a> or <a href="%5$s">update automatically</a>.'), $theme['Name'], esc_url($details_url), esc_attr($theme['Name']), $r['new_version'], wp_nonce_url( self_admin_url('update.php?action=upgrade-theme&theme=') . $theme_key, 'upgrade-theme_' . $theme_key) );
  
  	do_action( "in_theme_update_message-$theme_key", $theme, $r );
  
--- 272,280 ----
  	if ( ! current_user_can('update_themes') )
  		printf( __('There is a new version of %1$s available. <a href="%2$s" class="thickbox" title="%3$s">View version %4$s details</a>.'), $theme['Name'], esc_url($details_url), esc_attr($theme['Name']), $r->new_version );
  	else if ( empty( $r['package'] ) )
! 		printf( __('There is a new version of %1$s available. <a href="%2$s" class="thickbox" title="%3$s">View version %4$s details</a>. <em>Automatic update is unavailable for this theme.</em>'), $theme['Name'], esc_url($details_url), esc_attr($theme['Name']), $r['new_version'] );
  	else
! 		printf( __('There is a new version of %1$s available. <a href="%2$s" class="thickbox" title="%3$s">View version %4$s details</a> or <a href="%5$s">update now</a>.'), $theme['Name'], esc_url($details_url), esc_attr($theme['Name']), $r['new_version'], wp_nonce_url( self_admin_url('update.php?action=upgrade-theme&theme=') . $theme_key, 'upgrade-theme_' . $theme_key) );
  
  	do_action( "in_theme_update_message-$theme_key", $theme, $r );
  
***************
*** 304,308 ****
  	echo "<div class='update-nag'>$msg</div>";
  }
  add_action( 'admin_notices', 'maintenance_nag' );
- 
- ?>
--- 304,306 ----
